package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class HostEthernetAdapterLogicalPort {
    private Metadata metadata;
    private String adapterID;
    private String dynamicReconfigurationConnectorName;
    private String allowedOSMACAddresses;
    private String allowedVLANIDs;
    private String logicalPortID;
    private String mACAddress;
    private String mACAddressDirectives;
    private Link PartitionLink;
    private String physicalPortID;
    private String portGroupID;
    private String portState;
    private String hEALogicalPortPhysicalLocation;

    public HostEthernetAdapterLogicalPort() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getAllowedVLANIDs() {
        return allowedVLANIDs;
    }

    public void setAllowedVLANIDs(String allowedVLANIDs) {
        this.allowedVLANIDs = allowedVLANIDs;
    }

    public String getLogicalPortID() {
        return logicalPortID;
    }

    public void setLogicalPortID(String logicalPortID) {
        this.logicalPortID = logicalPortID;
    }

    public String getmACAddress() {
        return mACAddress;
    }

    public void setmACAddress(String mACAddress) {
        this.mACAddress = mACAddress;
    }

    public String getmACAddressDirectives() {
        return mACAddressDirectives;
    }

    public void setmACAddressDirectives(String mACAddressDirectives) {
        this.mACAddressDirectives = mACAddressDirectives;
    }

    public Link getPartitionLink() {
        return PartitionLink;
    }

    public void setPartitionLink(Link partitionLink) {
        PartitionLink = partitionLink;
    }

    public String getPhysicalPortID() {
        return physicalPortID;
    }

    public void setPhysicalPortID(String physicalPortID) {
        this.physicalPortID = physicalPortID;
    }

    public String getPortGroupID() {
        return portGroupID;
    }

    public void setPortGroupID(String portGroupID) {
        this.portGroupID = portGroupID;
    }

    public String getPortState() {
        return portState;
    }

    public void setPortState(String portState) {
        this.portState = portState;
    }

    public String gethEALogicalPortPhysicalLocation() {
        return hEALogicalPortPhysicalLocation;
    }

    public void sethEALogicalPortPhysicalLocation(String hEALogicalPortPhysicalLocation) {
        this.hEALogicalPortPhysicalLocation = hEALogicalPortPhysicalLocation;
    }

    public String getAllowedOSMACAddresses() {
        return allowedOSMACAddresses;
    }

    public void setAllowedOSMACAddresses(String allowedOSMACAddresses) {
        this.allowedOSMACAddresses = allowedOSMACAddresses;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapterLogicalPort [metadata=" + metadata + ", adapterID=" + adapterID
            + ", dynamicReconfigurationConnectorName=" + dynamicReconfigurationConnectorName + ", allowedVLANIDs="
            + allowedVLANIDs + ", logicalPortID=" + logicalPortID + ", mACAddress=" + mACAddress
            + ", mACAddressDirectives=" + mACAddressDirectives + ", PartitionLink=" + PartitionLink
            + ", physicalPortID=" + physicalPortID + ", portGroupID=" + portGroupID + ", portState=" + portState
            + ", hEALogicalPortPhysicalLocation=" + hEALogicalPortPhysicalLocation + "]";
    }
}
